初心者もOK! FreeBSD質問スレッド まとめサイト @Wiki linuxエミュレーションでOpenGLを

※上記の広告は60日以上更新のないWIKIに表示されています。更新することで広告が下部へ移動します。

linuxエミュレーションでOpenGLを

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
Lavie LM500/8(Mobile RADEON9000)に、FreeBSD6.0-Rいれて、使ってます。

et(/usr/ports/games/linux-enemyterritory)をインストールして実行
したのですが、OpenGL?をうまく認識してくれません。

コンソールには、

% et
ET 2.60 linux-i386 Mar 10 2005
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 FS_Startup -----
<<中略>>
...loading libGL.so.1: Initializing OpenGL display
...setting mode 4: 800 600
Using XFree86-VidModeExtension Version 2.2
XF86DGA Mouse (Version 2.0) initialized
XFree86-VidModeExtension Activated at 800x600
libGL error:
DDX DRI driver expected R200 version 4.0.x but got version 5.0.3
libGL error: InitDriver failed
Using 8/8/8 Color bits, 24 depth, 0 stencil display.
GL_RENDERER: Mesa GLX Indirect

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 **********************************************************
You are using software Mesa (no hardware acceleration)!
Driver DLL used: libGL.so.1
If this is intentional, add
"+set r_allowSoftwareGL 1"
to the command line when starting the game.
html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 **********************************************************
<<以降略>>

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。
"+set r_allowSoftwareGL 1"を付ければ、起動する事は起動するのですが、
ソフトウェアでの描画?になるため、かくかくしてゲームになりません。
恐らく

html plugin Error : このプラグインを使うにはこのページの編集権限を「管理者のみ」に設定してください。 DDX DRI driver expected R200 version 4.0.x but got version 5.0.3

がいけないと思うのですが、googleなどを探しても、回答を見付ける事ができません。

pkg_info -aI | grep linuxの結果は(一部省略しています)
linux-XFree86-libs-4.3.99.902_7 XFree86 libraries, Linux binary
linux-enemyterritory-2.60_1 Wolfenstein: Enemy Territory (Linux version)
linux-glib2-2.2.3_5 Version 2.X Linux/i386 binary port of GLib
linux-gtk2-2.2.4 GTK+ library, version 2.X, Linux binary
linux-pango-1.2.1_3 Linux pango binary
linux_base-8-8.0_14 Base set of packages needed in Linux mode (for i386/amd64)
linux_dri-4.4.0 Binary Linux DRI libraries for 3D hardware acceleration of
です。

pkg_info -aI | grep xorgの結果は(一部省略しています)
xorg-clients-6.8.2
xorg-libraries-6.9.0
xorg-server-6.9.0
です。

glxgearでは、1500fpsでているので、FreeBSD側でのOpenGLは認識されている
と思います。

どのようにすれば、問題なく(LinuxエミュレーションでOpenGLを)
動作させる事ができるのでしょうか?